activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Francesco Nigro (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ARTEMIS-1099) Force Netty EPOLL to be available only on Linux 64bit platforms
Date Fri, 07 Apr 2017 12:27:41 GMT

    [ https://issues.apache.org/jira/browse/ARTEMIS-1099?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15960684#comment-15960684
] 

Francesco Nigro commented on ARTEMIS-1099:
------------------------------------------

On the unpatched Artemis, using a 32 bit JVM:
Java HotSpot(TM) Server VM warning: You have loaded library <Artemis broker folder>/tmp/libnetty-transport-native-epoll7550636318037030956.so
which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c <libfile>', or link
it with '-z noexecstack'.

While on the patched one it fallback silently on the NIO implementation without trying to
load/link the library at all.

> Force Netty EPOLL to be available only on Linux 64bit platforms
> ---------------------------------------------------------------
>
>                 Key: ARTEMIS-1099
>                 URL: https://issues.apache.org/jira/browse/ARTEMIS-1099
>             Project: ActiveMQ Artemis
>          Issue Type: Bug
>            Reporter: Francesco Nigro
>            Assignee: Francesco Nigro
>
> On 32 bit JVMs and/or OS (linux) the library fail to be loaded due to the mismatching
ELF format (architecture word width mismatch).



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message